body {
}

.fullWidth {
  padding: 0;
}

.header {
  background-color: rgb(239, 239, 239);
  padding: 15px 70px;
  position: fixed;
  z-index: 10;
  top: 0;
  .logo {
    width: 100px;
  }
}

.link {
  padding: 0.5rem;
  text-decoration: none;
  color: #fff;
}

.Menu_right {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  .menu_action {
    margin: 0 10px;
    font-size: 12px;
  }
  .link {
    padding: 0.5rem;
    text-decoration: none;
    &.menu {
      transition: all 0.2s ease-in;
      color: #000;
      margin: 0 10px;
      height: 35px;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    &.menu:hover {
      background-color: #000;
      color: #f5f5f5 !important;
      padding: 0.5rem;
      border-radius: 30px;
    }
  }

  .login_btn {
    border-radius: 30px;
    background-color: #000;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 30px;
    border: solid 1px #000;
    margin-top: 7px;
    a {
      padding: 0 10px 3px 10px;
      color: #fff;
    }
  }
  .register_btn {
    border-radius: 30px;
    background-color: transparent;
    color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 30px;
    border: solid 1px #000;
    margin-top: 7px;
    a {
      padding: 0 10px 3px 10px;
      color: #000;
    }
  }
  .card_btn {
    width: 50px;
    text-align: center;
    display: flex;
    border-radius: 50%;
    padding: 2px;
    transition: all 0.3s;
  }
  .card_btn:hover {
    background-color: #ccc;
  }
}
.footer {
  background-color: #000;
  margin-top: 50px;
}
.footer_container {
  position: relative;
  .footer_image {
    display: flex;
    justify-content: center;
    img {
      position: absolute;
      top: -32px;
    }
  }

  .footer_head {
    border-bottom: solid 1px #464646;
    .footerAppLogo {
      display: flex;
      position: absolute;
      bottom: 0;
      img {
        width: 150px;
      }
    }
    .footer_menu {
      margin: 50px 15px 15px;
      .footer_menu_link {
        color: #fff;
        text-decoration: none;
        margin: 0 5px;
        padding: 15px;
        border-bottom: solid 2px transparent;
        transition: all 0.5s;
      }
      .footer_menu_link:hover {
        color: #04cbc5;
        border-color: #04cbc5;
      }
    }
  }
  .footer_Content {
    margin-top: 20px;
    border-bottom: solid 1px #464646;
    .footerLogo {
      width: 130px;
      position: relative;
      height: 75px;
      display: flex;
      align-items: center;
      justify-content: center;
      .footerLogoText {
        position: absolute;
        top: 10px;
        color: #fff;
        font-size: 12px;
      }
    }
    .footer_box {
      margin-bottom: 50px;
    }
    .footer_box_title {
      color: #fff;
    }
    .footer_box_body {
      display: flex;
      flex-direction: column;
    }
    .link {
      padding: 0;
      transition: all 0.6s;
    }
    .link:hover {
      text-decoration: none;
      color: #04cbc5;
    }
  }
  .footer_CopyRight {
    margin-bottom: 40px;
    .footer_description {
      color: #d7d7d7;
      margin-top: 50px;
      .footer_description_title {
        font-size: 15px;
      }
      .footer_description_message {
        color: #a5a5a5;
      }
      .link {
        color: #fff;
        text-decoration: none;
        margin: 0 5px;
        padding: 15px;
        transition: all 0.5s;
      }
      .link:hover {
        color: #04cbc5;
        text-decoration: none;
      }
      .link.social {
        font-size: 25px;
        margin: 0 20px;
        padding-top: 0;
      }

      .social_media {
        display: flex;
        justify-content: flex-end;
      }
    }
  }
}

.carousel_container {
  .carousel_title_container {
    border-bottom: solid 1px #d7d7d7;
    padding: 7px 0;
    position: relative;
    // .carousel_title::after {
    //   content: "";
    //   width: 35px;
    //   height: 2px;
    //   background-color: #000;
    //   display: block;
    //   position: relative;
    //   top: 8px;
    // }
    .carousel_title_line {
      width: 35px;
      height: 2px;
      background-color: #000;
      position: absolute;
      bottom: 0;
      transition: all 1s;
    }
  }
  .carousel_body_container {
    display: flex;
    overflow: hidden;
    position: relative;
    align-items: center;
    .carousel_body_action {
      display: flex;
      position: absolute;
      align-items: center;
      width: 100%;
      .next {
        position: absolute;
        right: 5px;
        z-index: 1;
        background-color: #026764;
        color: #fff;
        width: 50px;
        height: 50px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        transform: scale(0);
        transition: all 0.5s;
        transition-timing-function: cubic-bezier(0.18, 0.89, 0.32, 1.28);
        cursor: pointer;
      }
      .previous {
        position: absolute;
        left: 5px;
        z-index: 1;
        background-color: #026764;
        color: #fff;
        width: 50px;
        height: 50px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        transform: scale(0);
        transition: all 0.5s;
        transition-timing-function: cubic-bezier(0.18, 0.89, 0.32, 1.28);
        cursor: pointer;
      }
    }

    .carousel_body {
      display: flex;
      // transform: translate(0);
      transition: all 1s;
      .carousel_item {
        margin: 20px;
        position: relative;
        .carousel_item_img {
          position: relative;
          img {
            width: 400px;
            border-radius: 5px;
          }
          .carousel_item_label {
            position: absolute;
            bottom: 5px;
            right: 5px;
            background-color: #000;
            color: #fff;
            opacity: 0.85;
            border-radius: 20px;
            padding: 1px 10px;
          }
        }
        .carousel_item_subtitle {
          a {
            text-decoration: none;
            padding: 3px;
            font-size: 14px;
          }
          a::after {
            content: ".";
          }
          a:last-child::after {
            content: "";
          }
          a.main {
            color: #026764;
          }
          a.main:hover {
            color: #026764;
          }
          a.sub {
            color: #000;
          }
        }
        .carousel_item_tags {
          display: flex;
          font-size: 12px;
          font-weight: 700;
          position: relative;
          > div {
            margin-right: 10px;
            padding: 3px;
          }
          .time {
            background-color: #f5f5f5;
          }
          .price {
            background-color: #d7d7d7;
          }
          .free {
            background-color: #f5f5f5;
            color: #026764;
            position: absolute;
            right: 0;
            margin: 0;
          }
        }
      }
    }
  }
  .carousel_body_container:hover .carousel_body_action .next,
  .carousel_body_container:hover .carousel_body_action .previous {
    transform: scale(1);
  }
}

.order_ready {
  border-top: solid 1px #d7d7d7;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 35px;
  .subtitle {
    color: #a5a5a5;
  }
  .action_order {
    display: flex;
    justify-content: center;
    align-items: center;
    > div {
      margin: 20px;
    }
    .option {
      .option_description {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        color: #a5a5a5;
        .add_address {
          display: inline-block;
          padding: 2px 10px;
          border-radius: 20px;
          background-color: #996515;
          color: #fff;
        }
      }
      .mode {
        color: #996515;
      }
    }
    .order_type {
      display: flex;
      .order_change {
        background-color: #000;
        color: #fff;
        border-radius: 20px;
        padding: 2px 8px 4px 8px;
        margin-right: 20px;
      }
      .order_change_to {
        display: flex;
        position: relative;
        // &::after {
        //   content: " ";
        //   display: block;
        //   width: 50px;
        //   height: 3px;
        //   background-color: #026764;
        //   position: absolute;
        //   bottom: 0;
        // }
        .line {
          position: absolute;
          width: 58px;
          height: 3px;
          background-color: #026764;
          bottom: 0;
          transition: all 0.5s;
        }
        > div {
          margin: 0 10px;
        }
        .order_delivery,
        .order_pickup {
          cursor: pointer;
        }
      }
    }
  }
}
